io.undertow.server.handlers.form

## Class FormParserFactory.Builder

- java.lang.Object
- - io.undertow.server.handlers.form.FormParserFactory.Builder

Enclosing class:
  FormParserFactory

    public static class FormParserFactory.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FormParserFactory.Builder` `addParser(FormParserFactory.ParserDefinition definition)`
`FormParserFactory.Builder` `addParsers(FormParserFactory.ParserDefinition... definition)`
`FormParserFactory.Builder` `addParsers(List<FormParserFactory.ParserDefinition> definition)`
`FormParserFactory` `build()`
`String` `getDefaultCharset()`
`List<FormParserFactory.ParserDefinition>` `getParsers()`
`void` `setDefaultCharset(String defaultCharset)`
`void` `setParsers(List<FormParserFactory.ParserDefinition> parsers)`
`FormParserFactory.Builder` `withDefaultCharset(String defaultCharset)` A chainable version of `setDefaultCharset(java.lang.String)`.
`FormParserFactory.Builder` `withParsers(List<FormParserFactory.ParserDefinition> parsers)` A chainable version of `setParsers(java.util.List<io.undertow.server.handlers.form.FormParserFactory.ParserDefinition>)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### addParser

    public FormParserFactory.Builder addParser(FormParserFactory.ParserDefinition definition)

#### addParsers

    public FormParserFactory.Builder addParsers(FormParserFactory.ParserDefinition... definition)

#### addParsers

    public FormParserFactory.Builder addParsers(List<FormParserFactory.ParserDefinition> definition)

#### getParsers

    public List<FormParserFactory.ParserDefinition> getParsers()

#### setParsers

    public void setParsers(List<FormParserFactory.ParserDefinition> parsers)

#### withParsers

    public FormParserFactory.Builder withParsers(List<FormParserFactory.ParserDefinition> parsers)

A chainable version of `setParsers(java.util.List<io.undertow.server.handlers.form.FormParserFactory.ParserDefinition>)`.

#### getDefaultCharset

    public String getDefaultCharset()

#### setDefaultCharset

    public void setDefaultCharset(String defaultCharset)

#### withDefaultCharset

    public FormParserFactory.Builder withDefaultCharset(String defaultCharset)

A chainable version of `setDefaultCharset(java.lang.String)`.

#### build

    public FormParserFactory build()